#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cryptohash
version: 0.11.6
id: cryptohash-0.11.6-5725d7bed73909c57bba6df3f8c2a790
key: crypt_5epyAhdyCoGIBkp2icUC24
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: http://github.com/vincenthz/hs-cryptohash
synopsis: collection of crypto hashes, fast, pure and practical
description:
    A collection of crypto hashes, with a practical incremental and one-pass, pure APIs,
    with performance close to the fastest implementations available in other languages.
    .
    The implementations are made in C with a haskell FFI wrapper that hide the C implementation.
    .
    Simple examples using the unified API:
    .
    > import Crypto.Hash
    >
    > sha1 :: ByteString -> Digest SHA1
    > sha1 = hash
    >
    > hexSha3_512 :: ByteString -> String
    > hexSha3_512 bs = show (hash bs :: Digest SHA3_512)
    .
    Simple examples using the module API:
    .
    > import qualified Crypto.Hash.SHA1 as SHA1
    >
    > main = putStrLn $ show $ SHA1.hash (Data.ByteString.pack [0..255])
    .
    > import qualified Crypto.Hash.SHA3 as SHA3
    >
    > main = putStrLn $ show $ digest
    >   where digest = SHA3.finalize ctx
    >         ctx    = foldl'\'' SHA3.update iCtx (map Data.ByteString.pack [ [1,2,3], [4,5,6] ]
    >         iCtx   = SHA3.init 224
category: Data, Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Hash Crypto.Hash.Types Crypto.MAC Crypto.Hash.SHA1
    Crypto.Hash.SHA224 Crypto.Hash.SHA256 Crypto.Hash.SHA384
    Crypto.Hash.SHA512 Crypto.Hash.SHA512t Crypto.Hash.SHA3
    Crypto.Hash.MD2 Crypto.Hash.MD4 Crypto.Hash.MD5
    Crypto.Hash.RIPEMD160 Crypto.Hash.Skein256 Crypto.Hash.Skein512
    Crypto.Hash.Tiger Crypto.Hash.Whirlpool Crypto.MAC.HMAC
    Crypto.MAC.SHA3
hidden-modules: Crypto.Hash.Utils Crypto.Hash.Utils.Cpu
                Crypto.Hash.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cryptohash-0.11.6
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cryptohash-0.11.6
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cryptohash-0.11.6
hs-libraries: HScryptohash-0.11.6-5epyAhdyCoGIBkp2icUC24
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    byteable-0.1.1-a7278182e3643648d81716d02a7463ff
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    ghc-prim-0.4.0.0-af16264bc80979d06e37ac63e3ba9a21
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cryptohash-0.11.6/html/cryptohash.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cryptohash-0.11.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
